# Mods

The [`Better Leaves` resource-pack by MidnightDust](https://modrinth.com/resourcepack/better-leaves) is preinstalled.

## Included
### Performance
- `Chunky Pregenerator` — pre-generate chunks (server-only)
- `Dynamic FPS` — reduces FPS when in background
- `Krypton` — network stack optimisation
- `LazyDFU` — improves startup time
- `Lithium` — general-purpose optimisation
- `Sodium` — rendering engine replacement

### Graphics
- `BedrockWaters` — biome-specific water properties
- `Continuity` — connected textures
- `Enhanced Block Entities` — smooth lighting on block entities (+ performance improvements)
- `Falling Leaves` — falling leaves particles
- `Iris Shaders` — shaders
- `Make Bubbles Pop`
- `Not Enough Animations` — third-person animations
- `Sodium Extra` — more settings

### World-gen
- `BetterEnd`
- `BetterNether`
- `ChoiceTheorem's Overhauled Village` — more village types
- `Wilder Wild`

### Building blocks
- `Adorn` — furniture
- `Chipped` — more block variants
- `Cooking for Blockheads` — cooking and kitchen furniture
- `Handcrafted` — furniture
- `Infinity Buttons` — more buttons
- `Lanterns Belong on Walls` — allows placing lanterns on walls

### Technology
- `Applied Energistics 2` — automation and storage
- `Create`
- `Create Crafts & Additions` — bridge between electricity and kinetic energy
- `Create Utilities` — teleportation features for Create
- `Create: Steam 'n' Rails` — enhances Create’s railway system
- `Create Renewable Ores` (data-pack) — recipes for otherwise non-craftable blocks

### GUI
- `AppleSkin` — hunger/health-related HUD improvements
- `Better Statistics Screen`
- `Jade 🔍` — information about what you are looking at
- `Mod Menu` — adds a mod menu
- `Paginated Advancements` — improved advancements screen
- `Raised` — fixes the hotbar position
- `Reese's Sodium Options` — replaces the graphics settings
- `Roughly Enough Items`

### Compatibility
- `Animatica` — animated textures
- `Entity Texture Features` — random+emissive textures
- `Indium` — `Lithium` + `Fabric Rendering API`

### Miscellaneous
- `Additional Additions` — various items
- `Amecs` — better keybindings
- `Animal Feeding Trough` — block allowing animals to self-feed
- `Auth Me` — in-game session re-validation
- `Axes are Weapons` — allows sword enchantments for axes
- `Culinaire` — more food items
- `Debugify` — fixes various bugs
- `Extended Drawers` — storage drawers
- `Fabric Waystones` — waystones
- `Gravestones`
- `Light Overlay`
- `Mouse Tweaks`
- `Replanting Crops` — automatically replants crops harvested with a hoe
- `Stack Refill` — automatically refills the player’s hand
- `Supplementaries` — various items
- `Traveler's Backpack` — backpacks
- `Tree Harvester` — fast tree harvesting + fast leaf decay
- `Zoomify` — zoom

### Modpack utilities
- `Global Packs` 
- `KubeJS` 
- `Main Menu Credits`
- `OneTimeOverrides`

### Library
- `Architectury API` — required `KubeJS`
- `Athena` — required by `Chipped`
- `Balm` — required by `Cooking for Blockheads`
- `BCLib` — by `BetterNether`, `BetterEnd`
- `Cardinal Components API` — required by `Traveler's Backpack`
- `Cloth Config API` — required by `Roughly Enough Items`
- `Collective` — required by `Stack Refill`, `Tree Harvester`, `Replanting Crops`
- `Dawn API` — required by `Culinaire`
- `Fabric API`
- `Fabric Language Kotlin` — required by `Adorn`, `OneTimeOverrides`, `Zoomify`
- `Freecam` — control your camera separately from your player
- `Moonlight Lib` — required by `Supplementaries`
- `oωo` — required by `Fabric Waystones`, `Infinity Buttons`
- `Resourceful Lib` — required by `Chipped`, `Handcrafted`
- `Rhino` — required by `KubeJS`
- `Statement` — required by `Lanterns Belong on Walls`
- `Trinkets` — required by `Traveler's Backpack`
- `YetAnotherConfigLib` — required by `Zoomify`

## Not included
### Experimental
These mods would be in the pack if they were stable/finished.
- `Concurrent Chunk Management Engine` — multithreaded chunk management
- `Consistency+`
- `Deeper and Darker` — enhance the Deep Dark
- `Immersive Portals`
- `Resounding` — realistic sound physics

### Alternative used
- `Better Recipe Book` → `EMI`
- `Cinderscapes` → `Better Nether`
- `EditSign` → `Charm`
- `FPS - Display` → `Sodium`
- `LambDynamicLights` → `Iris Shaders`
- `No Telemetry` → `Debugify`
- bug-fixing mods → `Debugify`

### Too special
- `Eureka` — custom ships, compatible with Create
- `Origins` — character classes

### Incompatible loader/version
- `Campanion` — various camping-themed items
- `Create Enchantment Industry Fabric`
- `Create Jetpack`
- `Create: Crystal Clear Refabricated`
- `Jade Addons`
